var fm_currentCell = null;

function getContainerWidth() {
	return (document.getElementById("zPageContent_Container").clientWidth);
}

function getCell(pCellObj) {
	if (pCellObj.nodeName == "TD") return (pCellObj)
	var oCell = pCellObj.parentNode;
	while (oCell.nodeName != "TD")
		oCell = oCell.parentNode;
	return (oCell);
}

function getRow(pCell) {
	return (pCell.parentNode);
}

function getTable(pCell) {
	var oTr = getRow(pCell);
	var oTable = oTr.parentNode;
	while (oTable.nodeName != "TABLE") {
		oTable = oTable.parentNode;
		if (oTable == null) break;
	}
	return (oTable);
}

function mla_deleteRow(pCellObj, pDatabaseName, pFolderType, pFileName ) {
	// we cannot edit more than one cell once
	if (fm_currentCell != null) return (false);
	var oCell = getCell(pCellObj);	
	if (confirm("Do you really want to delete this file?"))	{
		fm_currentCell = oCell;
		var sParam = 
			"d=" + encodeURIComponent(pDatabaseName)
			+ "&t=" + encodeURIComponent(pFolderType)
			+ "&f=" + encodeURIComponent(pFileName);
		xPostBack2("delete.aspx", true, null, sParam);
	}
	return (false);
}

function mla_download(pDatabaseName, pFolderType, pFileName ) {
	var sParam = 
		"d=" + encodeURIComponent(pDatabaseName)
		+ "&t=" + encodeURIComponent(pFolderType)
		+ "&f=" + encodeURIComponent(pFileName);
	var oWnd = window.open("../filemanager/download.aspx?" + sParam, "Download", "width=1,height=1")
	return (false);
}

function mla_copyInto(pDatabaseName, pFileName ) {
	var sParam = 
		"d=" + encodeURIComponent(pDatabaseName)
		+ "&f=" + encodeURIComponent(pFileName);
	xPostBack2("copyinto.aspx", true, null, sParam);
	return (false);
}

// FUNCTIONS CALLED FROM POSTBACK URL
function _deleteRow(pSuccessFlag) {
	if (pSuccessFlag) {
		var oTr = fm_currentCell.parentNode;
		var oTable = getTable(fm_currentCell);
		oTable.deleteRow(oTr.rowIndex);
	}
	fm_currentCell = null;
	return (true);
}
